%define name nant
%define version 0.92
%define fname %name-%version-src

Summary: Build tool for Mono and .NET
Name: %{name}
Version: %{version}
Release: %mkrel 4
Epoch: 1
Source0: http://prdownloads.sourceforge.net/nant/%{fname}.tar.gz
Patch0: 69c8ee96493c5d953212397c8ca06c2392372ca4.patch
License: GPL
Group: Development/Other
Url: http://nant.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#gw required for mono.pc
Requires: mono-devel
BuildRequires: mono-devel
BuildArch: noarch

%description
NAnt is a free .NET build tool. In theory it is kind of like make
without make's wrinkles. In practice it's a lot like Ant.

%prep
%setup -q -n %name-%version
%apply_patches
find . -type d|xargs chmod 755
find . -type f|xargs chmod 644
# remove DOS line endings
find doc src -type f |xargs perl -pi -e "s/\r\n/\n/"

%build
make prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find examples -name \*.dll -o -name \*.exe|xargs rm -f
rm -rf %buildroot%_datadir/doc/NAnt

# gw fix paths in the nant script
perl -pi -e "s^%buildroot^^g" %buildroot%_bindir/nant

mv %buildroot%_prefix/lib*/pkgconfig %buildroot%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt doc/* examples
%_bindir/%name
%_datadir/NAnt/
%_datadir/pkgconfig/nant.pc





%changelog
* Mon Jan 06 2014 pterjan <pterjan> 1:0.92-4.mga4
+ Revision: 565192
- Add updtream patch to allow building for mono > 2

* Sun Jan 05 2014 pterjan <pterjan> 1:0.92-3.mga4
+ Revision: 564776
- Removing duplicate command actually broke things as the s command is missing a /g

* Fri Jan 03 2014 pterjan <pterjan> 1:0.92-2.mga4
+ Revision: 564153
- Drop duplicate line

* Wed Jan 01 2014 pterjan <pterjan> 1:0.92-1.mga4
+ Revision: 563886
- Revert to mono-2.0 target now that mono is sort of fixed
- Fix build by updating to 0.92 and targeting 3.5 profile

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 16 2011 ahmad <ahmad> 1:0.90-2.mga1
+ Revision: 20525
- imported package nant


* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 1:0.90-2mdv2011.0
+ Revision: 584902
- rebuild

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 1:0.90-1mdv2011.0
+ Revision: 550280
- new version
- drop patch
- fix installation
- update file list

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.86-0.beta1.4mdv2010.1
+ Revision: 523405
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:0.86-0.beta1.3mdv2010.0
+ Revision: 426203
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1:0.86-0.beta1.2mdv2009.0
+ Revision: 170442
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 1:0.86-0.beta1.2mdv2008.1
+ Revision: 132901
- patch to make it build boo again

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 1:0.86-0.beta1.1mdv2008.1
+ Revision: 119367
- new version
- drop patch

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 1:0.85-3mdv2008.1
+ Revision: 98913
- fix build with new mono


* Mon Oct 16 2006 Götz Waschk <waschk@mandriva.org> 0.85-2mdv2006.0
+ Revision: 65449
+ Status: not released
- fix startup script

* Mon Oct 16 2006 Götz Waschk <waschk@mandriva.org> 1:0.85-1mdv2007.1
+ Revision: 65387
- Import nant

* Mon Oct 16 2006 Gtz Waschk <waschk@mandriva.org> 0.85-1mdv2007.1
- unpack patch
- new version

* Sat Jun 03 2006 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc4.1mdv2007.0
- new version

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc3.20051203.1mdk
- drop merged patch 0
- fix build
- new version

* Wed Nov 09 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc3.4mdk
- fix build
- rebuild for new mono

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 1:0.85-0.rc3.3mdk
- fix deps

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc3.2mdk
- patch to fix build with mono 1.1.7
- requires mono

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc3.1mdk
- fix build
- new version

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc2.2mdk
- Rebuild

* Sat Apr 02 2005 Gtz Waschk <waschk@linux-mandrake.com> 1:0.85-0.rc2.1mdk
- new version

* Sat Oct 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.85-0.20041021.1mdk
- new snapshot
- fix buildrequires

* Fri Oct 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.85-0.20041020.1mdk
- initial package

